Subject: Re: [PATCH v3 2/9] Makefiles: add "shared.mak", move ".DELETE_ON_ERROR" to it

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Feb 2022 15:42:13 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> But wouldn't working this into this series be an even better option?

No.

What our current Makefile does (i.e. to have the default goal at the
beginning, even though the recipe for it may live elsewhere) is a
very well understood and established pattern, and there is no reason
to start doing the same thing in a different way, even if it is safe
to assume that the "different way" may be available everywhere.  We
are not gaining anything from doing it differently.

Especially it is not something I want to see as "while at it"
change, which adds more to the review cycle without improving
anything.

> The ".DEFAULT_GOAL" variable is new in, 3.81 (01 Apr 2006), which I
> think is old enough to hard depend on. We use $(or ...) added in the
> same release in config.mak.dev.